using System.Collections.Generic;
using Sirenix.OdinInspector;
using UnityEngine;

namespace Sets
{
	public abstract class BaseSet<T> : ScriptableObject where T : Object
	{
		[PropertyOrder(10)]
		public List<T> items = new List<T>();

		public void Add(T thing)
		{
			if (!items.Contains(thing))
				items.Add(thing);
		}

		public void Remove(T thing)
		{
			if (items.Contains(thing))
				items.Remove(thing);
		}
	}
}